DUB-CLEAN(1)

NAME
dub-clean - Removes intermediate build files and cached build results

SYNOPSIS
dub clean [<package>] OPTIONS...

DESCRIPTION
This command removes any cached build files of the given package(s). The final target file, as well as any copyFiles are currently not removed. Without arguments, the package in the current working directory will be cleaned.

OPTIONS

--all-packages
    Cleans up *all* known packages (dub list)

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2025 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-clean-caches(1), dub-remove(1)